Delete Subscription
curl --request DELETE \
--url https://{projectID}.texterchat.com/server/api/v2/scenarios/manage/{scenarioId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{projectID}.texterchat.com/server/api/v2/scenarios/manage/{scenarioId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{projectID}.texterchat.com/server/api/v2/scenarios/manage/{scenarioId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"error": "<string>"
}Subscribe to Events
Delete Subscription
Permanently remove a subscription and all its history.
DELETE
https://{projectID}.texterchat.com/server/api/v2
/
scenarios
/
manage
/
{scenarioId}
Delete Subscription
curl --request DELETE \
--url https://{projectID}.texterchat.com/server/api/v2/scenarios/manage/{scenarioId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{projectID}.texterchat.com/server/api/v2/scenarios/manage/{scenarioId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{projectID}.texterchat.com/server/api/v2/scenarios/manage/{scenarioId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"error": "<string>"
}Required token scopes:
Delete scenariosAuthorizations
API token generated in Texter: gear icon → Developers → API Tokens. When creating a token, assign it the scopes required by the endpoints you plan to call - each endpoint lists its required scopes.
Path Parameters
The unique identifier of the subscription (scenario). Use List All Subscriptions to find it under scenarios[]._id
Response
Subscription deleted (empty body)